﻿using System;
using System.Windows.Forms;

namespace BatteryIndicator.UI
{
    /// <summary>
    /// Form 基类
    /// </summary>
    public partial class BaseForm : Form
    {
        public BaseForm()
        {
            this.Load += new EventHandler(BaseForm_Load);
            this.FormClosed += new FormClosedEventHandler(BaseForm_FormClosed);
        }
        public void BaseForm_Load(object sender, EventArgs e)
        {
            Program.formList.Add(this);
        }
        public void BaseForm_FormClosed(object sender, FormClosedEventArgs e)
        {
            Program.formList.Remove(this);
        }
    }
}
